Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  Part suchen/selektieren - Dateipfad auslesen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Part suchen/selektieren - Dateipfad auslesen (874 mal gelesen)
ARA1702
Mitglied


Sehen Sie sich das Profil von ARA1702 an!   Senden Sie eine Private Message an ARA1702  Schreiben Sie einen Gästebucheintrag für ARA1702

Beiträge: 7
Registriert: 02.11.2015

erstellt am: 17. Nov. 2015 15:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen,

ich möchte gerne aus einem Produkt ein Part suchen/selektieren und den Dateipfad des Parts auslesen. Den Namen des Parts konnte ich schon auslesen, den Dateipfad leider noch nicht.

Kann mir hier Jemand weiter helfen?

So sieht meine Produktstruktur aus:

Produkt
|
|- Part1
|- Part2
...

So konnte ich den Namen auslesen:

Dim Partsearch As Selection
Dim productDocument1 As Document
Set productDocument1 = CATIA.ActiveDocument

Set Partsearch = CATIA.ActiveDocument.Selection
Partsearch.Search "name=" & "(Bauteilnummer Part)" & "*;all"

MsgBox (Partsearch.Item(1).Value.Name)    '.FullName funktioniert hier leider nicht.


Vielen Dank schon mal

ARA

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joehz
Moderator
Freiberuflicher Konstrukteur


Sehen Sie sich das Profil von joehz an!   Senden Sie eine Private Message an joehz  Schreiben Sie einen Gästebucheintrag für joehz

Beiträge: 1057
Registriert: 25.11.2006

Win7 Pro 64 + Ubuntu + Irix6.5.20
Dell Precision M6600 i7-2960XM 2.7GHz 16GB
NVidia Quadro M5010
Catia V5R19
VB6Pro.SP6/VBA 6.5.1053

erstellt am: 17. Nov. 2015 18:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ARA1702 10 Unities + Antwort hilfreich

Hi ARA,

Probier mal:

Code:

MsgBox (Partsearch.Item(1).Value.ReferenceProduct.Parent.FullName)

Wenn Du den Namen aber schon kennst, kannst auch so vorgehen:

Code:

Sub Catmain()
  Dim oAD As ProductDocument
  Dim oADP As Product
  Dim strPName As String

  strPName = "G000198__xxxx__Boden_kurz_breit.1"
  Set oAD = CATIA.ActiveDocument
  Set oADP = oAD.Product.Products.Item(strPName)

  MsgBox oADP.ReferenceProduct.Parent.FullName
End Sub


Tschau,
Joe

------------------
Inoffizielle Catia Hilfeseite

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ARA1702
Mitglied


Sehen Sie sich das Profil von ARA1702 an!   Senden Sie eine Private Message an ARA1702  Schreiben Sie einen Gästebucheintrag für ARA1702

Beiträge: 7
Registriert: 02.11.2015

erstellt am: 18. Nov. 2015 07:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi Joe,

vielen Dank, hat geklappt :-)

Grüße ARA

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz